.search-area {
    display: flex;
    flex-direction: column;
    justify-content: center;
    /*background: #3c3c3c;*/
    /*background-image: linear-gradient(180deg, black, #3c3c3c);*/
    /*background-image: linear-gradient(180deg, black, #223b3d);*/
    background-image: linear-gradient(180deg, #363636, #858585);
    color: white;
    padding-top: 1em;
    padding-bottom: 1em;
    padding-left: 10px;
    padding-right: 10px;
    height: 300px;
}

.search-area > div > h2 {
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    width: -webkit-fill-available;
    text-align: center;
    font-weight: bold;
    font-size: 32px;
}

.search-fields {
    display: flex;
    align-items: center;
    justify-content: center;
}

.search-input {
    /*width: 300px;*/
    width: -webkit-fill-available;
    max-width: 500px;
    padding-left: 30px !important;
}

.top-picks-listing-area-container {
    width: -webkit-fill-available;
    padding: 1em 2em;
    padding-top: 0px;
}

.gift-cards-categories-listing-area {
    display: flex;
    flex-direction: column;
}

.top-picks-listing-area {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: auto;
    /*overflow-x: auto;*/
    overflow-x: hidden;
    height: 280px;
    align-content: flex-start
}

.category-title {
    margin-top: 0px;
    margin-bottom: 5px;
}

.top-pick-item {
    display: flex;
    flex-direction: column;
    border: 1px solid #e6e6e6;
    border-radius: 15px;
    width: 250px;
    height: 250px;
    color: #484848;    
    margin-left: 5px;
    margin-right: 5px;
    transition: 200ms;
    overflow: hidden;
    background: white;
}

.top-pick-item:hover {
    /*transform: scale(1.05);*/    
    transform: translateY(-10px);
}

.top-pick-item:focus {
    box-shadow: #2397ff 0px 0px 5px 1px;
}

.top-pick-item-image {
    width: 100%;
    height: 125px;
    background: #ededed;
    /*border-radius: 15px;*/    
    overflow: hidden;
    display: flex;
    align-items: center;
}


.top-pick-item-image > img {
    max-width: 100%;
    height: auto;
    border-radius: 18px;
}


.top-pick-item-text {
    padding: 10px 5px;
    /*height: 100%;*/
}

.top-pick-item-title {
    font-weight: bold;
    font-size: 18px;
    padding-left: 3px;
    padding-right: 3px;
}

.top-pick-item-distance {
    font-size: 11px;
    color: #a3a3a3;
    padding-left: 5px;
}

.top-pick-item-desc {
    font-size: 11px;
    padding: 5px;
    padding-top: 2px;
}

.top-pick-item-desc > span:not(:first-child):before  {
    content: "\2022";
    margin-right: 4px;
    margin-left: 6px;
}

.top-pick-item-buttons {
    display: flex;
    /*justify-content: center;*/
    padding: 10px 10px;    
    margin-top: auto;
}

.top-pick-item-buttons > button {
    padding: 6px 12px;
    font-size: 12px;
    border-radius: 7px;
}

.category-title-area {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.scroll-container {
    position: relative;
}
        
.arrow-host {
    max-width: 1000px; 
    width: -webkit-fill-available; 
    height: 43px; 
    position: absolute; 
    margin-right: 8px; 
    z-index: 1;  
}
   
.arrow {
    cursor: pointer;
    position: absolute;
    width: 30px;
    height: 30px;
    z-index: 3;
    display: inline-block;
    transition: 100ms;
    border-radius: 50px;
    background-color: white;    
    border: 1px solid #dadada;
    background-size: 20px;
    background-position: center;
    background-repeat: no-repeat;
    top: 0;
    bottom: 0;
    margin: auto;
}
        
.arrow:hover {
    background-color: #ddd;
}
        
.arrow:active {
    background-color: #ccc;
}
       
.arrow-left {
    /*left: 20px;*/
    left: -15px;
    /*background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff0000' viewBox='0 0 8 8'%3E%3Cpath d='M5.25 0l-4 4 4 4 1.5-1.5-2.5-2.5 2.5-2.5-1.5-1.5z'/%3E%3C/svg%3E") !important;*/
}
.arrow-left > i {
    position: absolute;
    right: 10px;
    font-size: 27px;
    font-weight: bold;
}

.arrow-right {
    /*right: 20px;*/
    right: -15px;
    /*background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23fff0000' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E") !important;*/
}
.arrow-right > i {
    position: absolute;
    left: 10px;
    font-size: 27px;
    font-weight: bold;
}

@media screen and (max-width: 450px) {
    .search-area {
        height: 200px;
    }
    
    .search-area > div > h2 {  
        font-size: 16px;
    }
    
    .search-input {
        /*width: 250px !important;*/
        width: -webkit-fill-available;
        max-width: none;
        font-size: 12px;
    }
    
    #search-btn {
        font-size: 12px;
    }
    
    .search-fields {
        flex-direction: column;
    }
    
    .category-title {
        font-size: 16px;
    }
    
    .top-picks-listing-area {
        /*flex-direction: unset !important;*/
        justify-content: unset;
        overflow-x: auto;
        /*height: 525px !important;*/
    }
    
    .top-pick-item {
/*        margin-left: 0px !important;
        margin-right: 0px !important;*/
        width: 45%;
        margin-top: 5px;
        margin-bottom: 5px;
    }
    
    .arrow {
        display: none;
    }
    
    .top-pick-item:hover {
        transform: none;
    }
    
    .top-pick-item-title {
        font-size: 12px;
    }
    
    .top-pick-item-desc {
        font-size: 11px;
    }
    
    .top-pick-item-buttons > button {
        font-size: 11px;
    }
    
    .top-picks-listing-area-container {
        padding-left: 15px;
        padding-right: 15px;
    }

    .top-pick-item-image > img {
        border-radius: 11px;
    }
}
